break.DISABLE	MACRO
		scope
		LD	hl,SFLAG$
		set	4,(hl)			; Disable BREAK.
		ENDMAC	break.DISABLE

break.ENABLE	macro
		scope
		LD	hl,SFLAG$
		res	4,(hl)			; Turn BREAK on.
		endmac	break.enable


time.DELAY	MACRO	count			; Delay macro, count is delay duration.
		scope
		IFMA	count
		call	delay			; Call delay using default value.
		ELSE
		ld	b,count			; Load delay value.
		call	delay+2			; Skip into delay routine, not to load default value.
		ENDIF
		ENDMAC	time.DELAY		; End of.